#!/usr/bin/env ruby
$LOAD_PATH.unshift(File.expand_path("../../lib", __FILE__))
require 'paymax1'

def randomSerize( len )
  chars = ("a".."z").to_a + ("A".."Z").to_a + ("0".."9").to_a
  newpass = ""
  1.upto(len) { |i| newpass << chars[rand(chars.size-1)] }
  return newpass
end


Paymax1.establish_connection! :rsa_private_key_path => 'rsa_private_key.pem',
                              :paymax_rsa_public_key_path => 'paymax_rsa_public_key.pem',
                              :secret_key => 'b3fc21858fa5424cafecd338252b155c'
#下单支付
=begin
result = Paymax1::Charge.createCharge(
 {
     :amount=>'0.01',
     :subject=> 'test_subject_nodejs版本',
     :body=> 'this is a body',
     :order_no=> randomSerize(20),
     :channel=> 'alipay_app',
     :client_ip=> '127.0.0.1',
     :app=> 'app_06m9Q26zL61ee55a',
     :currency=> 'cny',
     :extra=> {},
     :description=> 'this is a description描述'
 }
)
=end
#支付查询
result = Paymax1::Charge.queryCharge('ch_fbe2d2675043004b02303b6a')

#发起退款
=begin
result = Paymax1::Refund.createRefund(
            'ch_a59123a1538074f3cfa6568b',
            {
                :amount => '0.01',
                :description  => 'this is a description',
                :extra => {}
            }
        )
=end
#退款查询
=begin
result = Paymax1::Refund.queryRefund(
            {
                :chargeNo => 'ch_a59123a1538074f3cfa6568b',
                :refundNo => 're_d6586ff6e077b95985344538'
            }
        )
=end
# 人脸识别:查询用户识别信息
#result = Paymax1::Face.queryFaceAuth('123')

#打印出返回的状态码和信息
puts "返回结果===="+result