module Paymax1
  $LOAD_PATH.unshift(File.dirname(__FILE__))
  require  'paymax1/version'
  require  'paymax1/config'
  require  'paymax1/charge'
  require  'paymax1/refund'
  require  'paymax1/face'
  require  'paymax1/exception'
  require  'paymax1/http'
  require  'paymax1/sign'
  require  'paymax1/header'


  class << self

    def establish_connection!(opts = {})
      Config.initialize_connect(opts)
    end

    def createCharge (opts={})
      return Charge.createCharge(opts)
    end

    def queryCharge (orderNo)
      return Charge.createCharge(orderNo)
    end

  end

end

