module Paymax1
  module Config
    class << self

      DEFAULT_OPTIONS = {
          :host                       => 'http://172.30.21.20:9001',
         # :host                       => 'https://www.paymax.cc/merchant-api/v1/',
          :rsa_private_key_path       => '',
          :secret_key                 => '',
          :paymax_rsa_public_key_path => ''
      }
      UA={
          :'lang' => 'ruby',
          :'publisher' => 'Paymax',
          :'sdk-version' => VERSION.to_s,
      }

      REQUIRED_OPTION_KEYS = [:rsa_private_key_path, :secret_key,:paymax_rsa_public_key_path]

      attr_reader :settings,:user_agent

      #初始化配置
      def initialize_connect options = {}
        @user_agent = UA
        @user_agent.store('os.platform',os_family())
        @settings = DEFAULT_OPTIONS.merge!(options)
        REQUIRED_OPTION_KEYS.each do |opt|
          raise MissingArgsException, [opt] unless settings.has_key?(opt)
        end
      end

      def os_family
            case RUBY_PLATFORM
              when /ix/i, /ux/i, /gnu/i, /sysv/i, /solaris/i,/sunos/i, /bsd/i
                "unix"
              when /win/i, /ming/i
                "windows"
              else
               "other"
           end
      end

      end
  end
end
