module Paymax1

  class Exception < RuntimeError
    attr_reader :message

    def initialize(message)
      @message = message
    end
  end

  class AuthorizationException < Exception
    def initialize(message)
      super(message)
    end
  end

  class InvalidRequestException  < Exception
    def initialize(message)
      super(message)
    end
  end

  class InvalidResponseException  < Exception
    def initialize(message)
      super(message)
    end
  end

  class MissingArgsException  < Exception
    def initialize(message)
      super(message)
    end
  end
end
