module Paymax1

  require 'json'

  module Refund
    class <<  self

      #
      #退款接口
      #param chargeNo
      #param data
      #
      def createRefund (chargeNo,data)
        path='/v1/charges/'+chargeNo.to_s+'/refunds'
        data=data.to_json
        url= Config.settings[:host]+path
        header= Header.new().getHeader('post',path,'',data);
        return  Http.post(url,header,data);
      end

      #
      #退款查询
      #param data
      #
      def queryRefund (data={})
        path='/v1/charges/'+data[:chargeNo].to_s+'/refunds/'+data[:refundNo].to_s
        url= Config.settings[:host]+path
        header= Header.new().getHeader('get',path,'','');
        return  Http.get(url,header);
      end
    end
  end
end
