module Paymax1

  require 'time'

  class Header

    #
    #拼装请求头header
    #
    def getHeader (method,path,query,request_data)
      header= {
          :Authorization => Config.settings[:secret_key],
          :nonce=>randomSerize(32),
          :timestamp=>(Time.new().to_f * 1000).to_i,
          :UA=>Config.user_agent.to_json
      }
      header.store('sign',Sign.requestSign(method,header,path,query,request_data))
      return header
    end

    #
    #header-nonce生成器
    #
    def randomSerize( len )
      chars = ("a".."z").to_a + ("A".."Z").to_a + ("0".."9").to_a
      randomStr = ""
      1.upto(len) { |i| randomStr << chars[rand(chars.size-1)] }
      return randomStr
    end
  end
end
